declare function logCtor(style?: string): (...args: unknown[]) => void;
declare const log: (...args: unknown[]) => void;
declare const logError: (...args: unknown[]) => void;
/**
 * due to useState vue.ver use customRef to simulate. so need auto release value to caculate
 * @param {any} state check state
 * @returns {any}
 */
declare const escapeState: (state: any) => any;
declare enum ENV_TYPE {
    WEAPP = "WEAPP",
    WEB = "WEB",
    RN = "RN",
    SWAN = "SWAN",
    ALIPAY = "ALIPAY",
    TT = "TT",
    QQ = "QQ",
    JD = "JD"
}
declare const ENV: ENV_TYPE;
declare const ISWEAPP: boolean;
declare const ISWEB: boolean;
declare const ISRN: boolean;
declare const ISSWAN: boolean;
declare const ISALIPAY: boolean;
declare const ISTT: boolean;
declare const ISQQ: boolean;
declare const ISJD: boolean;
declare const PREFIX = "\uD83C\uDFAE[taro-hooks]";
declare const INJECTKEY = "$$inject";
declare const FRAMEWORK: "vue" | "react" | null;
declare const ISVUE: boolean;
declare const ISREACT: boolean;
// =.-  remarkFrontmatter can't resolve chinese words. so path will lose. a map resolve it
type HooksPath = "basic" | "device" | "env" | "feedback" | "layout" | "media" | "network" | "wechat";
type HooksLabel = "\u57FA\u7840" | "\u8BBE\u5907" | "\u73AF\u5883\u5224\u65AD" | "\u64CD\u4F5C\u53CD\u9988" | "\u5E03\u5C40" | "\u5A92\u4F53" | "\u7F51\u7EDC" | "\u5C0F\u7A0B\u5E8F";
declare const PATH2LABEL: Record<HooksPath, HooksLabel>;
declare const BANNER: string;
type DependencyList = ReadonlyArray<any>;
interface MutableRefObject<T> {
    current: T;
}
declare const RefSymbol: unique symbol;
/**
 * copy from https://github.com/vuejs/core/blob/main/packages/reactivity/src/ref.ts
 */
interface Ref<T = any> {
    value: T;
    /**
     * Type differentiator only.
     * We need this to be in public d.ts but don't want it to show up in IDE
     * autocomplete, so we use a private Symbol instead.
     */
    [RefSymbol]: true;
}
declare function isObject(value: unknown): value is Record<any, any>;
declare function isFunction(value: unknown): value is Function;
declare function isString(value: unknown): value is string;
declare function isBoolean(value: unknown): value is boolean;
declare function isNumber(value: unknown): value is number;
declare function isUndef(value: unknown): value is undefined;
declare function strictOf<R>(value: unknown, type: string): value is R;
declare function camelIndex(input: string): string;
/**
 * single check isRef func
 * @param {any} value any value for check
 * @returns {boolean} isRef??
 */
declare function isRef(value: any): value is Ref;
export { logCtor, log, logError, escapeState, ENV_TYPE, ENV, ISWEAPP, ISWEB, ISRN, ISSWAN, ISALIPAY, ISTT, ISQQ, ISJD, PREFIX, INJECTKEY, FRAMEWORK, ISVUE, ISREACT, HooksPath, HooksLabel, PATH2LABEL, BANNER, isObject, isFunction, isString, isBoolean, isNumber, isUndef, strictOf, camelIndex, isRef };
export type { DependencyList, MutableRefObject };
